Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83771 - make php-pear subpackage
Summary: make php-pear subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 04:40 UTC by Peter Bowen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.3.4-5
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-21 17:39:16 UTC


Attachments (Terms of Use)

Description Peter Bowen 2003-02-08 04:40:26 UTC
It would be nice if /usr/bin/pear and /usr/share/pear were in a php-pear
subpackage so that it would be easy to upgrade pear independently of PHP.

Comment 1 Joe Orton 2003-02-12 15:28:13 UTC
They'd get dropped on upgrades then, though (unless php required php-pear, which
would kind of defeat the point?) - this won't happen too soon.

Comment 2 Peter Bowen 2003-02-12 17:43:06 UTC
Actually having php require php-pear is the right answer, IMHO, and doesn't
defeat the point.  The point is to allow the PHP files in php-pear to be
upgraded independently of the php binary.  

PHP 4.2.2 contains a fairly old copy of pear.  It has many bugs compared to a
current version.  For example, I use the DB classes for a project I'm working
on.  The pgsql backend in 4.2.2 contains a bug that doesn't handle booleans
correctly.  Currently, in order to fix this, I have to replace the php package
completely as /usr/share/pear/DB/pgsql.php is in the same subpackage as the
apache DSO.  If php-pear were a seperate subpackage I could create a php-pear
package to replace it and leave the perfectly good php binaries alone.

Comment 3 Peter Bowen 2003-09-15 03:48:24 UTC
Reopening this for the taroon beta.  Taroon has PHP 4.3.2 in it, which has a
fairly old set of PEAR base classes included.  If there was a php-pear
subpackage, then upgrading the base classes would be easy, and possible without
recompiling all of php or manually overwriting files.

Comment 4 Joe Orton 2003-09-15 08:05:43 UTC
Sorry for churning out the same old tune again, but this is too late for Taroon,
Peter.  I'll look at doing this for Cambridge first.

Comment 5 Joe Orton 2004-01-21 17:39:16 UTC
php-pear is now split out for Fedora Core 2: thanks for the suggestion.


Note You need to log in before you can comment on or make changes to this bug.